fvwm vim problem

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

fvwm vim problem

Ken Arromdee
I am running vim 7.2.  When I try to edit a .fvwm2rc, I get syntax errors in
fvwm.vim.  It seems that this is not updated for vim 7.2.

I found a message by Googling which referred to an updated file for vim
7, at http://www.mail-archive.com/fvwm@.../msg16116.html --
unfortunately that *is* the same file I have and it still doesn't work,
which means further changes were made between vim 7.0 and 7.2.  How
can I get a good fvwm.vim or fix the one I have?

--
You received this message from the "vim_use" maillist.
Do not top-post! Type your reply below the text you are replying to.
For more information, visit http://www.vim.org/maillist.php
Reply | Threaded
Open this post in threaded view
|

Re: fvwm vim problem

Bram Moolenaar

Ken Arromdee wrote:

> I am running vim 7.2.  When I try to edit a .fvwm2rc, I get syntax errors in
> fvwm.vim.  It seems that this is not updated for vim 7.2.
>
> I found a message by Googling which referred to an updated file for vim
> 7, at http://www.mail-archive.com/fvwm@.../msg16116.html --
> unfortunately that *is* the same file I have and it still doesn't work,
> which means further changes were made between vim 7.0 and 7.2.  How
> can I get a good fvwm.vim or fix the one I have?

If you list the errors we might be able to help you better.

--
"Beware of bugs in the above code; I have only proved
it correct, not tried it." -- Donald Knuth

 /// Bram Moolenaar -- [hidden email] -- http://www.Moolenaar.net   \\\
///        sponsor Vim, vote for features -- http://www.Vim.org/sponsor/ \\\
\\\  an exciting new programming language -- http://www.Zimbu.org        ///
 \\\            help me help AIDS victims -- http://ICCF-Holland.org    ///

--
You received this message from the "vim_use" maillist.
Do not top-post! Type your reply below the text you are replying to.
For more information, visit http://www.vim.org/maillist.php
Reply | Threaded
Open this post in threaded view
|

Re: fvwm vim problem

Thomas Adam-3
In reply to this post by Ken Arromdee
On 28 November 2010 04:09, Ken Arromdee <[hidden email]> wrote:
> I am running vim 7.2.  When I try to edit a .fvwm2rc, I get syntax errors in
> fvwm.vim.  It seems that this is not updated for vim 7.2.
>
> I found a message by Googling which referred to an updated file for vim
> 7, at http://www.mail-archive.com/fvwm@.../msg16116.html --

That's old.

I've not got any problems here using the file fvwm.vim at all --
what's your filetype set to?  ISTR if it's not "fvwm", then you might
run into problems, but until I can see what errors you're getting, I
wouldn't want to speculate.

-- Thomas Adam

--
You received this message from the "vim_use" maillist.
Do not top-post! Type your reply below the text you are replying to.
For more information, visit http://www.vim.org/maillist.php
Reply | Threaded
Open this post in threaded view
|

Re: fvwm vim problem

Ken Arromdee
On Sun, 28 Nov 2010, Thomas Adam wrote:

>> I am running vim 7.2.  When I try to edit a .fvwm2rc, I get syntax errors in
>> fvwm.vim.  It seems that this is not updated for vim 7.2.
>>
>> I found a message by Googling which referred to an updated file for vim
>> 7, at http://www.mail-archive.com/fvwm@.../msg16116.html --
> That's old.
>
> I've not got any problems here using the file fvwm.vim at all --
> what's your filetype set to?  ISTR if it's not "fvwm", then you might
> run into problems, but until I can see what errors you're getting, I
> wouldn't want to speculate.

I'm running a newly installed Mandriva Linux 2010.1.  It has a vim that
claims to be version 7.2.284.

The file is ".fvwm2rc", which according to the vim documentation is already
recognized--you only need to set the filetype for files other than .fvwmrc
and .fvwm2rc.

These are the errors I get:

Error detected while processing /usr/share/vim/syntax/fvwm.vim:
line   29:
E399: Not enough arguments: syntax region fvwmModArg^I^Icontained contains=fvwmS
tring,fvwmRGBValue
line   32:
E399: Not enough arguments: syntax region fvwmString^I^Icontains=fvwmBackslash s
tart='"'
line   33:
E10: \ should be followed by /, ? or &
line   34:
E399: Not enough arguments: syntax region fvwmString^I^Icontains=fvwmBackslash s
tart='`'
line   35:
E10: \ should be followed by /, ? or &
line   36:
E399: Not enough arguments: syntax region fvwmString^I^Icontains=fvwmBackslash s
tart="'"
line   37:
E10: \ should be followed by /, ? or &
line   46:
E399: Not enough arguments: syntax region fvwmComment^I^Icontains=@Spell
line   47:
E10: \ should be followed by /, ? or &
line   51:
E10: \ should be followed by /, ? or &
line   69:
E10: \ should be followed by /, ? or &

Followed by a whole lot more repeats of the same error with different line
numbers.

The fvwm.vim file contains this at line 29:

syn region  fvwmModArg          contained contains=fvwmString,fvwmRGBValue
                                 \ start='.' skip='\\$' end='$'

syn region  fvwmString          contains=fvwmBackslash start='"'
                                 \ matchgroup=fvwmBackslash skip='\v\\"' end='"'
syn region  fvwmString          contains=fvwmBackslash start='`'
                                 \ matchgroup=fvwmBackslash skip='\v\\`' end='`'
syn region  fvwmString          contains=fvwmBackslash start="'"
                                 \ matchgroup=fvwmBackslash skip="\v\\'" end="'"
syn match   fvwmBackslash       contained '\\[^"'`]'

--
You received this message from the "vim_use" maillist.
Do not top-post! Type your reply below the text you are replying to.
For more information, visit http://www.vim.org/maillist.php
Reply | Threaded
Open this post in threaded view
|

Re: fvwm vim problem

bill lam
Вск, 28 Ноя 2010, Ken Arromdee писал(а):

> On Sun, 28 Nov 2010, Thomas Adam wrote:
> >>I am running vim 7.2.  When I try to edit a .fvwm2rc, I get syntax errors in
> >>fvwm.vim.  It seems that this is not updated for vim 7.2.
> >>
> >>I found a message by Googling which referred to an updated file for vim
> >>7, at http://www.mail-archive.com/fvwm@.../msg16116.html --
> >That's old.
> >
> >I've not got any problems here using the file fvwm.vim at all --
> >what's your filetype set to?  ISTR if it's not "fvwm", then you might
> >run into problems, but until I can see what errors you're getting, I
> >wouldn't want to speculate.
>
> I'm running a newly installed Mandriva Linux 2010.1.  It has a vim that
> claims to be version 7.2.284.
>
> The file is ".fvwm2rc", which according to the vim documentation is already
> recognized--you only need to set the filetype for files other than .fvwmrc
> and .fvwm2rc.
>
> These are the errors I get:
>
> Error detected while processing /usr/share/vim/syntax/fvwm.vim:
> line   29:
> E399: Not enough arguments: syntax region fvwmModArg^I^Icontained contains=fvwmS
> tring,fvwmRGBValue
> line   32:
> E399: Not enough arguments: syntax region fvwmString^I^Icontains=fvwmBackslash s
> tart='"'
> line   33:
> E10: \ should be followed by /, ? or &
> line   34:
> E399: Not enough arguments: syntax region fvwmString^I^Icontains=fvwmBackslash s
> tart='`'
> line   35:
> E10: \ should be followed by /, ? or &
> line   36:
> E399: Not enough arguments: syntax region fvwmString^I^Icontains=fvwmBackslash s
> tart="'"
> line   37:
> E10: \ should be followed by /, ? or &
> line   46:
> E399: Not enough arguments: syntax region fvwmComment^I^Icontains=@Spell
> line   47:
> E10: \ should be followed by /, ? or &
> line   51:
> E10: \ should be followed by /, ? or &
> line   69:
> E10: \ should be followed by /, ? or &
>
> Followed by a whole lot more repeats of the same error with different line
> numbers.
>
> The fvwm.vim file contains this at line 29:
>
> syn region  fvwmModArg          contained contains=fvwmString,fvwmRGBValue
>                                 \ start='.' skip='\\$' end='$'
>
> syn region  fvwmString          contains=fvwmBackslash start='"'
>                                 \ matchgroup=fvwmBackslash skip='\v\\"' end='"'
> syn region  fvwmString          contains=fvwmBackslash start='`'
>                                 \ matchgroup=fvwmBackslash skip='\v\\`' end='`'
> syn region  fvwmString          contains=fvwmBackslash start="'"
>                                 \ matchgroup=fvwmBackslash skip="\v\\'" end="'"
> syn match   fvwmBackslash       contained '\\[^"'`]'
>
> --
> You received this message from the "vim_use" maillist.
> Do not top-post! Type your reply below the text you are replying to.
> For more information, visit http://www.vim.org/maillist.php

It seemd line continuation did not work.  May be related to compatibe mode.
Try checking the cp and cpo.  (untested)

--
regards,
====================================================
GPG key 1024D/4434BAB3 2008-08-24
gpg --keyserver subkeys.pgp.net --recv-keys 4434BAB3

--
You received this message from the "vim_use" maillist.
Do not top-post! Type your reply below the text you are replying to.
For more information, visit http://www.vim.org/maillist.php
Reply | Threaded
Open this post in threaded view
|

Re: fvwm vim problem

Ken Arromdee
On Mon, 29 Nov 2010, bill lam wrote:
> It seemd line continuation did not work.  May be related to compatibe mode.
> Try checking the cp and cpo.  (untested)

Thanks, unsetting compatible did fix it, though I have no idea which of the
many compatible settings it was.

--
You received this message from the "vim_use" maillist.
Do not top-post! Type your reply below the text you are replying to.
For more information, visit http://www.vim.org/maillist.php